View Issue Details

IDProjectCategoryView StatusLast Update
00015723 - Current Dev ListBugpublic2019-03-10 20:55
Reporterw4aseAssigned ToWA9PIE 
PrioritynormalSeverityminorReproducibilityalways
Status confirmedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0001572: DM-780 Mouse over in waterfall not following the mode for decode
DescriptionWhen you have selected a stream to decode in the RX window you can then move your mouse over another stream on the waterfall and a pop up window will decode it. This works great in PSK-31 - but not in other PSK, RTTY or CW modes - the mode for the mouse over seems to be stuck in a PSK-31 mode. This use to work for all modes.
Steps To Reproduceselect a PSK-31 stream to decode in RX window - move mouse to another stream - pop up window will decode - now try a different mode like RTTY - it will not decode - pop up window comes up but decodes garbage
TagsNo tags attached.
ModuleDM780
Sub-ModuleQSO Window
Testing

Relationships

related to 0001789 confirmedWA9PIE 2 - Next Dev List (Holding Area) hover (mouse-over) over single waterfall signal is stuck in PSK mode now. Used to work great in RTTY v 6.0 

Activities

g3ucq

2018-06-24 15:15

updater   ~0005452

This was reported in another Issue. Not fixed.

WA9PIE

2018-07-25 12:53

administrator   ~0005792

Updating these to Feedback, as all have questions or need re-tested.

g3ucq

2018-07-25 14:16

updater   ~0005824

PSK31 and PSK63 decide OK in the pop out but not CW. No rtty signals. to test

w4ase

2018-07-25 16:24

updater   ~0005828

I was able to test a number of modes and it is working as it should - Thanks - nice to have this feature back again. It has been gone so long that most people do not know it every existed. Some in the marketing business might even say it's a NEW FEATURE

g3ucq

2018-07-26 02:18

updater   ~0005833

For me CW is decoded in the DM780 rx window but not from a pop out on the waterfall.

WA9PIE

2019-03-10 20:51

administrator   ~0007666

See Mantis 1572 and Mantis 1789

Hover over (mouse over) a digital signal in the waterfall to get a pop up bubble with decoded message. Very handy. You do not need to even click on the signal - just hover. Used to work in PSK31, PSK63 modes and in RTTY. Now stuck in PSK31 mode only.

Still not fixed even though this broke in 2014. Was working in all modes in v5 and several early versions of 6.0

See these videos to describe the issue. You can see how valuable this feature was in contests.

https://photos.app.goo.gl/iLabkVPn1TQTVfu57

https://photos.app.goo.gl/nU8wXrvHyTTANrBs5


Thanks and 73! Howard W6HDG

WA9PIE

2019-03-10 20:55

administrator   ~0007667

This issue was fixed a number of versions ago and then broke again. Several of us have reported it as a feature that was lost in the shuffle over the years

Mike, I showed this to you once when you logged into my computer to look at another issue we were having – I think old versions not clearing themselves with a new install – It is almost hard to test today as the PSK traffic, due to FT-8, is all but nonexistent. It would take a RTTY contest to test fully.

Here is the problem as concise as I can make it.

Much Older versions – back in the v5 days:

In DM-780 you could be decoding a RTTY signal and have the “M” marker on that station and see the decode in the RX window. Then you could move your mouse and “Hover” or also called “Mouse Over” to another stream on the waterfall, while leaving the “M” line alone, and a popup window would appear and also decode that signal – so you could see your original decode in the RX window and the Mouse Over decode in the Pop Up window - this was helpful in looking for the next contact in a contest or trying to judge where you want to go next. And yes, Super Sweeper will do this, but this was a quick way to look at one station and see who it was. People also found that Supper Sweeper was not as good when bogged down with 30 or 40 decodes in a contest.

 At some point the Hover or Mouse Over got stuck in PSK-31 – regardless what mode you were decoding in the RX window, the Hover or Mouse Over function was stuck and only wanted to decode PSK-31. It would not follow the main decode mode selection.

Issue History

Date Modified Username Field Change
2014-02-04 10:35 w4ase New Issue
2014-02-04 19:31 WA9PIE Project 3 - Current Dev List => @5@
2014-02-05 21:50 WA9PIE Status new => acknowledged
2014-02-05 21:50 WA9PIE Summary DM-780 Mouse over in waterfall not following the mode for decode => Bug: DM-780 Mouse over in waterfall not following the mode for decode
2015-09-17 13:17 WA9PIE Category DM-780 => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-23 00:04 WA9PIE Fix Build 213 => (select)
2015-09-23 00:04 WA9PIE Summary Bug: DM-780 Mouse over in waterfall not following the mode for decode => DM-780 Mouse over in waterfall not following the mode for decode
2018-06-24 09:50 WA9PIE Project 1 - Backlog => Issues Needing Retest
2018-06-24 15:15 g3ucq Note Added: 0005452
2018-07-25 12:53 WA9PIE Status acknowledged => feedback
2018-07-25 12:53 WA9PIE Note Added: 0005792
2018-07-25 14:16 g3ucq Note Added: 0005824
2018-07-25 16:24 w4ase Note Added: 0005828
2018-07-25 16:24 w4ase Status feedback => new
2018-07-26 02:18 g3ucq Note Added: 0005833
2018-12-21 14:53 WA9PIE Project Issues Needing Retest => 3 - Current Dev List
2019-03-10 20:50 WA9PIE Relationship added related to 0001789
2019-03-10 20:51 WA9PIE Assigned To => WA9PIE
2019-03-10 20:51 WA9PIE Status new => confirmed
2019-03-10 20:51 WA9PIE Note Added: 0007666
2019-03-10 20:55 WA9PIE Note Added: 0007667